package Message

import (
	"context"

	"wechat-api/internal/svc"
	"wechat-api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetMessageByIdLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewGetMessageByIdLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetMessageByIdLogic {
	return &GetMessageByIdLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx}
}

func (l *GetMessageByIdLogic) GetMessageById(req *types.IDReq) (resp *types.MessageInfoResp, err error) {
	// todo: add your logic here and delete this line

	return
}
